package com.ruoyi.ehsRisk.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.ehsRisk.domain.EhsRisk;

/**
 * 风险信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-13
 */
public interface IEhsRiskService extends IService<EhsRisk> {

	/**
	 * 查询风险信息
	 *
	 * @param riskId 风险信息主键
	 * @return 风险信息
	 */
	public EhsRisk selectEhsRiskByRiskId(Long riskId);

	/**
	 * 查询风险信息列表
	 *
	 * @param ehsRisk 风险信息
	 * @return 风险信息集合
	 */
	public List<EhsRisk> selectEhsRiskList(EhsRisk ehsRisk);
	public String importRisk(List<EhsRisk> riskList, Boolean isUpdateSupport);
}
